# Welcome to your new Python CLI project!

This project was generated using the [create-pypi-cli](https://github.com/lguibr/create-pypi-cli) tool.

[![CI](https://github.com/lguibr/create-pypi-cli/workflows/CI/badge.svg)](https://github.com/lguibr/create-pypi-cli/actions)
[![PyPI](https://img.shields.io/pypi/v/create-pypi-cli.svg)](https://pypi.org/project/create-pypi-cli/)
[![Python Version](https://img.shields.io/pypi/pyversions/create-pypi-cli.svg)](https://pypi.org/project/create-pypi-cli/)
[![License](https://img.shields.io/pypi/l/create-pypi-cli.svg)](https://github.com/lguibr/create-pypi-cli/blob/main/LICENSE)

## About This Project

This project provides a solid foundation for building a Python CLI application. It comes with a pre-configured structure and essential files to help you get started quickly.

## Features

- Clean and organized project structure
- GitHub Actions workflow for linting, type checking, and publishing to PyPI
- Pre-commit hooks for code formatting and quality checks using Black, Flake8, and Mypy
- Consistent import ordering with isort
- Basic CLI template using the Click library

## Getting Started

To start developing your CLI application, follow these steps:

1. Install `create-pypi-cli`

   ```bash
   pip install create-pypi-cli
   ```

2. Create a new CLI project with a predefined CI with formatting/linting/typecheck/bump-version and publish at pypi

   ```bash
   create-pypi-cli my-cli-project && cd my-cli-project
   ```

3. Customize the project:

   - Update the `setup.py` file with your project's metadata and dependencies.
   - Modify the CLI template in `your_project_name/cli.py` according to your application's needs.
   - Add your project's dependencies to the `requirements.txt` file.

4. Start coding!

   Make your changes and commit them, following the pre-commit hooks for code formatting and quality checks.

5. Push your changes and create a pull request.

## Contributing

Contributions are welcome! If you find any issues or have suggestions for improvements, please open an issue or submit a pull request.

## License

This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for more information.

## Credits

This project was generated using the [create-pypi-cli](https://github.com/lguibr/create-pypi-cli) tool, created by [Luis Guilherme](https://github.com/lguibr).

---

Feel free to customize this README further to provide more specific details about your CLI application, its usage, and any additional information that would be helpful for users and contributors.

---

### Happy coding!

---
